/*===========================================================================*/
/*   (Init/extend.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Init/extend.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinit_extendz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_loadqz00zz__evalz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_loadzd2extendzd2zzinit_extendz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzinit_extendz00();
static obj_t BGl_requirezd2initializa7ationz75zzinit_extendz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzinit_extendz00();
static obj_t BGl__loadzd2extend1007zd2zzinit_extendz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_loadzd2extendzd2envz00zzinit_extendz00, BgL_bgl__loadza7d2extend1007za7d2za7za7init_extendza7001022za7, BGl__loadzd2extend1007zd2zzinit_extendz00, 0L, 1 );
DEFINE_STRING( BGl_string1013z00zzinit_extendz00, BgL_bgl_string1013za700za7za7init_extendza7001023z00, "Can't find extend file", 22 );
DEFINE_STRING( BGl_string1012z00zzinit_extendz00, BgL_bgl_string1012za700za7za7init_extendza7001024z00, "parse-args", 10 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinit_extendz00(long BgL_checksumz00_8, char * BgL_fromz00_9)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzinit_extendz00))
{ 
BGl_requirezd2initializa7ationz75zzinit_extendz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzinit_extendz00(); 
BGl_importedzd2moduleszd2initz00zzinit_extendz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzinit_extendz00()
{ AN_OBJECT;
{ /* ./Init/extend.scm 16 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "init_extend"); 
BGl_modulezd2initializa7ationz75zz__evalz00(((long)0), "init_extend"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "init_extend"); 
return BUNSPEC;} 
}



/* load-extend */
BGL_EXPORTED_DEF obj_t BGl_loadzd2extendzd2zzinit_extendz00(obj_t BgL_extendzd2namezd2_1)
{ AN_OBJECT;
{ /* ./Init/extend.scm 23 */
{ /* ./Init/extend.scm 24 */
obj_t BgL_fnamez00_2;
BgL_fnamez00_2 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_extendzd2namezd2_1, BGl_za2libzd2dirza2zd2zzengine_paramz00); 
if(
CBOOL(BgL_fnamez00_2))
{ /* ./Init/extend.scm 25 */
return 
BGl_loadqz00zz__evalz00(BgL_fnamez00_2);}  else 
{ /* ./Init/extend.scm 25 */
FAILURE(BGl_string1012z00zzinit_extendz00,BGl_string1013z00zzinit_extendz00,BgL_extendzd2namezd2_1);} } } 
}



/* _load-extend1007 */
obj_t BGl__loadzd2extend1007zd2zzinit_extendz00(obj_t BgL_envz00_6, obj_t BgL_extendzd2namezd2_7)
{ AN_OBJECT;
{ /* ./Init/extend.scm 23 */
return 
BGl_loadzd2extendzd2zzinit_extendz00(BgL_extendzd2namezd2_7);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzinit_extendz00()
{ AN_OBJECT;
{ /* ./Init/extend.scm 16 */
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "init_extend");} 
}

